package com.ippon.error.domain;

public enum StandardMessage implements MyAppMessage {
  USER_MANDATORY("user.mandatory"),
  SERVER_MANDATORY_NULL("server.mandatory-null"),
  SERVER_MANDATORY_BLANK("server.mandatory-blank"),
  VALUE_OVER_MAX("user.value-over-max"),
  VALUE_UNDER_MIN("user.value-under-min");
  private final String messageKey;

  private StandardMessage(String code) {
    this.messageKey = code;
  }

  @Override
  public String getMessageKey() {
    return messageKey;
  }
}
