package com.ippon.pagination.domain;

import com.ippon.pagination.domain.MyAppPage.MyAppPageBuilder;
import java.util.List;

public final class MyAppPagesFixture {

  private MyAppPagesFixture() {}

  public static MyAppPage<String> page() {
    return fullBuilder().build();
  }

  public static MyAppPageBuilder<String> fullBuilder() {
    return MyAppPage.builder(List.of("test")).currentPage(2).pageSize(10).totalElementsCount(21);
  }
}
